Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class StatementMetaTypeChooser

    java.lang.Object
      org.codehaus.groovy.classgen.asm.StatementMetaTypeChooser

All Implemented Interfaces:
  TypeChooser

    public class StatementMetaTypeChooser
    extends java.lang.Object

A TypeChooser which is aware of statement metadata.

Authors:
  Jochen Theodorou
  Cedric Champeau

Method Summary
`ClassNode` | `resolveType(Expression exp, ClassNode current)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### resolveType

    public ClassNode resolveType(Expression exp, ClassNode current)

Groovy Documentation